Will applying OS patch updates cause issues with BPPM functionality?

Version 1
    Share This:

    This document contains official content from the BMC Software Knowledge Base. It is automatically updated when the knowledge article is modified.


    PRODUCT:

    ProactiveNet


    COMPONENT:

    BPPM Application Server


    APPLIES TO:

    BPPM 9.6



    QUESTION:

    Network team wants to update the OS level packages with the following in the BPPM 9.6 environment. Will this cause an issue with BPPM functionality?
    Updated Packages
    NetworkManager.x86_64 1:1.18.0-5.el7_7.1 rhel-7-server-rpms
    NetworkManager-config-server.noarch 1:1.18.0-5.el7_7.1 rhel-7-server-rpms
    NetworkManager-libnm.x86_64 1:1.18.0-5.el7_7.1 rhel-7-server-rpms
    NetworkManager-ppp.x86_64 1:1.18.0-5.el7_7.1 rhel-7-server-rpms
    NetworkManager-team.x86_64 1:1.18.0-5.el7_7.1 rhel-7-server-rpms
    NetworkManager-tui.x86_64 1:1.18.0-5.el7_7.1 rhel-7-server-rpms
    binutils.x86_64 2.27-41.base.el7_7.1 rhel-7-server-rpms
    ca-certificates.noarch 2019.2.32-76.el7_7 rhel-7-server-rpms
    curl.x86_64 7.29.0-54.el7_7.1 rhel-7-server-rpms
    device-mapper.x86_64 7:1.02.158-2.el7_7.2 rhel-7-server-rpms
    device-mapper-event.x86_64 7:1.02.158-2.el7_7.2 rhel-7-server-rpms
    device-mapper-event-libs.x86_64 7:1.02.158-2.el7_7.2 rhel-7-server-rpms
    device-mapper-libs.x86_64 7:1.02.158-2.el7_7.2 rhel-7-server-rpms
    dnsmasq.x86_64 2.76-10.el7_7.1 rhel-7-server-rpms
    firewalld.noarch 0.6.3-2.el7_7.2 rhel-7-server-rpms
    firewalld-filesystem.noarch 0.6.3-2.el7_7.2 rhel-7-server-rpms
    fribidi.i686 1.0.2-1.el7_7.1 rhel-7-server-rpms
    fribidi.x86_64 1.0.2-1.el7_7.1 rhel-7-server-rpms
    git.x86_64 1.8.3.1-21.el7_7 rhel-7-server-rpms
    hostname.x86_64 3.13-3.el7_7.1 rhel-7-server-rpms
    iproute.x86_64 4.11.0-25.el7_7.2 rhel-7-server-rpms
    kernel.x86_64 3.10.0-1062.9.1.el7 rhel-7-server-rpms
    kernel-headers.x86_64 3.10.0-1062.9.1.el7 rhel-7-server-rpms
    kernel-tools.x86_64 3.10.0-1062.9.1.el7 rhel-7-server-rpms
    kernel-tools-libs.x86_64 3.10.0-1062.9.1.el7 rhel-7-server-rpms
    krb5-libs.i686 1.15.1-37.el7_7.2 rhel-7-server-rpms
    krb5-libs.x86_64 1.15.1-37.el7_7.2 rhel-7-server-rpms
    libblkid.i686 2.23.2-61.el7_7.1 rhel-7-server-rpms
    libblkid.x86_64 2.23.2-61.el7_7.1 rhel-7-server-rpms
    libcurl.x86_64 7.29.0-54.el7_7.1 rhel-7-server-rpms
    libgudev1.x86_64 219-67.el7_7.2 rhel-7-server-rpms
    libmount.i686 2.23.2-61.el7_7.1 rhel-7-server-rpms
    libmount.x86_64 2.23.2-61.el7_7.1 rhel-7-server-rpms
    libsmartcols.x86_64 2.23.2-61.el7_7.1 rhel-7-server-rpms
    libuuid.i686 2.23.2-61.el7_7.1 rhel-7-server-rpms
    libuuid.x86_64 2.23.2-61.el7_7.1 rhel-7-server-rpms
    lvm2.x86_64 7:2.02.185-2.el7_7.2 rhel-7-server-rpms
    lvm2-libs.x86_64 7:2.02.185-2.el7_7.2 rhel-7-server-rpms
    microcode_ctl.x86_64 2:2.1-53.7.el7_7 rhel-7-server-rpms
    nss.x86_64 3.44.0-7.el7_7 rhel-7-server-rpms
    nss-softokn.x86_64 3.44.0-8.el7_7 rhel-7-server-rpms
    nss-softokn-freebl.i686 3.44.0-8.el7_7 rhel-7-server-rpms
    nss-softokn-freebl.x86_64 3.44.0-8.el7_7 rhel-7-server-rpms
    nss-sysinit.x86_64 3.44.0-7.el7_7 rhel-7-server-rpms
    nss-tools.x86_64 3.44.0-7.el7_7 rhel-7-server-rpms
    nss-util.x86_64 3.44.0-4.el7_7 rhel-7-server-rpms
    numactl-libs.x86_64 2.0.12-3.el7_7.1 rhel-7-server-rpms
    open-vm-tools.x86_64 10.3.0-2.el7_7.1 rhel-7-server-rpms
    pango.i686 1.42.4-4.el7_7 rhel-7-server-rpms
    pango.x86_64 1.42.4-4.el7_7 rhel-7-server-rpms
    perl-Git.noarch 1.8.3.1-21.el7_7 rhel-7-server-rpms
    procps-ng.x86_64 3.3.10-26.el7_7.1 rhel-7-server-rpms
    python-firewall.noarch 0.6.3-2.el7_7.2 rhel-7-server-rpms
    python-perf.x86_64 3.10.0-1062.9.1.el7 rhel-7-server-rpms
    rsyslog.x86_64 8.24.0-41.el7_7.2 rhel-7-server-rpms
    selinux-policy.noarch 3.13.1-252.el7_7.6 rhel-7-server-rpms
    selinux-policy-targeted.noarch 3.13.1-252.el7_7.6 rhel-7-server-rpms
    sudo.x86_64 1.8.23-4.el7_7.1 rhel-7-server-rpms
    systemd.x86_64 219-67.el7_7.2 rhel-7-server-rpms
    systemd-libs.i686 219-67.el7_7.2 rhel-7-server-rpms
    systemd-libs.x86_64 219-67.el7_7.2 rhel-7-server-rpms
    systemd-sysv.x86_64 219-67.el7_7.2 rhel-7-server-rpms
    tuned.noarch 2.11.0-5.el7_7.1 rhel-7-server-rpms
    tzdata.noarch 2019c-1.el7 rhel-7-server-rpms
    util-linux.x86_64 2.23.2-61.el7_7.1 rhel-7-server-rpms


    ANSWER:

     

       

    BMC does not test all packages which are available for update, but there should not be any issue with these packages. We do not certify each and every package so please apply them at your own risk. The recommendation is to backup your system before applying the packages and ensure the backup is good before applying the packages.

       

     

       

    They are usually minor updates and should not impact the overall performance of the product. As long as the updates keep you in line with the supported OS version specifics then there would be no cause for alarm.

      

     


    Article Number:

    000182434


    Article Type:

    FAQ/Procedural



      Looking for additional information?    Search BMC Support  or  Browse Knowledge Articles